
TYPO3.Setup - Task # 40598

Story # 40472 (Closed): As a administrator I want to be warned if the selected database already contains data

Status: Closed Priority: Should have
Author: Bastian Waidelich Category:
Created: 2012-09-04 Assigned To: Bastian Waidelich
Updated: 2012-10-04 Due date:
Subject: Improve UX of setup process
Description

    -  Link requirement error messages with wiki
    -  Custom exception messages for setup steps

Associated revisions
Revision 6fd818dc - 2012-09-04 21:26 - Bastian Waidelich

[TASK] Improve UX of setup process
This change improves the setup process:
    -  Catch exceptions in setup steps and render them

   as flashmessage
    -  Render link to TYPO3 wiki (http://typo3.org/go/exception/)   for warnings and errors* Improve error messages if PHP binary can't be determined
correctly* skip PHP_BINARY constant if it's empty (PHP bug?)* Throw exception if DB can't be created/connected to in db stepChange-Id:
I85d2951e8431eca1f28e1907aa68b66cbfad70a4Resolves: #40598

History
#1 - 2012-09-04 16:49 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14338

#2 - 2012-09-04 16:53 - Bastian Waidelich
- Status changed from Accepted to Under Review

#3 - 2012-09-04 21:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14338

#4 - 2012-09-05 10:35 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6fd818dcaa3acac096b85ca0d3fcf9c674b5112a.

#5 - 2012-09-11 10:17 - Karsten Dambekalns
- Parent task set to #40472
#6 - 2012-10-04 14:02 - Markus Goldbeck
- Status changed from Resolved to Closed
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

#7 - 2012-10-04 14:10 - Bastian Waidelich
- Status changed from Closed to Resolved

#8 - 2012-10-04 16:08 - Bastian Waidelich
- Status changed from Resolved to Closed
